Error message after choosing php7.2 on hoster


(Thomas Methner) #1

I am sometimes getting the following message on my frontend, after choosing php7.2 on my host, on which Matomo is running. Im using Joomla and Matomo on the latest versions.

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; plgSystemPiwik has a deprecated constructor in /mnt/web004/a0/63/522063/htdocs/joomla_04/plugins/system/piwik/piwik.php on line 10

Any idea?


(Fabian Dellwing) #2

First: No panic, everything should work fine.
Secondly: Are you sure this is a Matomo problem and not a problem with the Joomla plugin that provides the integration?


(Thomas Methner) #3

Hi Fabian,

Thanks for your hint. I am not a pro, so sometimes its good to get a gentle push in the right direction.
It seems like the integration plugin nfrPiwik is the source of this notification. I have integrated the code via module now and haven’t seen the message.

RG & thx